This service will be undergoing maintenance at 00:00 UTC, 2017-10-23 It is expected to last about 30 minutes
Bug 1012418 - Cannot close Guided Rule Editor after removing fact pattern
Cannot close Guided Rule Editor after removing fact pattern
Status: CLOSED CURRENTRELEASE
Product: JBoss BRMS Platform 6
Classification: JBoss
Component: Business Central (Show other bugs)
6.0.0
Unspecified Unspecified
unspecified Severity urgent
: ER5
: 6.0.0
Assigned To: manstis
Jiri Locker
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-09-26 08:44 EDT by Jiri Locker
Modified: 2014-08-06 16:17 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2014-08-06 16:17:12 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Jiri Locker 2013-09-26 08:44:37 EDT
Description of problem:
After removing a fact pattern in Guided Rule Editor it is not possible to close it. That can be quite annoying if the user wants to drop unsaved changes by closing the editor.

Moreover, there is a risk of breaking the Authoring perspective layout by switching to another perspective. No matter which is the target perspective, the broken rule will take up all space and the UI becomes unusable. Refreshing/re-logging helps but Authoring perspective has been saved in the broken state and it is quite complicated to restore the original layout (split with Project Explorer and editors).

Version-Release number of selected component (if applicable):
ER3

How reproducible:
-

Steps to Reproduce:
1. go to mortgages, open Bankruptcy history
2. remove conditional element number 2. (containing Bankruptcy)
3. close the editor

Actual results:
The editor doesn't close. JavaScript error logged into browser console.

Expected results:
Guided editor should close at any point of editing the rule.

Additional info:
Comment 2 Jiri Locker 2013-09-26 11:32:48 EDT
It is possible to make the editor closeable again by adding a new fact pattern. This can be helpful before the bug is fixed.

Note You need to log in before you can comment on or make changes to this bug.